Summary:	webapps framework
Summary(pl.UTF-8):	Szkielet dla aplikacji WWW
Name:		webapps
Version:	0.3.2
Release:	2
License:	GPL
Group:		Applications/WWW
Source0:	README
Source1:	%{name}.sh
Source2:	bash_completion.sh
BuildRequires:	rpmbuild(macros) >= 1.673
Requires:	coreutils
Conflicts:	apache < 2.0.55-2.2
Conflicts:	apache1 < 1.3.34-3.2
Conflicts:	lighttpd < 1.4.7-2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/webapps

%description
webapps is a package for having web applications configuration files
and webserver config fragments in unified place.

%description -l pl.UTF-8
webapps to pakiet pozwalający trzymać pliki konfiguracyjne aplikacji
WWW i fragmenty konfiguracji serwera WWW w jednym miejscu.

%package -n bash-completion-webapps
Summary:	bash completion for webapps
Summary(pl.UTF-8):	Dopełnienia basha dla webapps
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-webapps
Bash completion for webapps.

%description -n bash-completion-webapps -l pl.UTF-8
Dopełnienia basha dla webapps.

%prep
%setup -qcT
cp -p %{SOURCE0} README

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},%{bash_compdir}}
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_sbindir}/webapp
install -p %{SOURCE2} $RPM_BUILD_ROOT%{bash_compdir}/webapp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %attr(751,root,http) %{_sysconfdir}
%attr(755,root,root) %{_sbindir}/webapp

%files -n bash-completion-webapps
%defattr(644,root,root,755)
%{bash_compdir}/webapp
%changelog
* Tue Jul 04 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/webapps.git;a=log;h=master

* Sat Sep 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 9acfd34
- verbose sbin files

* Thu Feb 19 2015 Elan Ruusamäe <glen@delfi.ee> d171a1d
- document webserver(headers)

* Sun Oct 13 2013 Elan Ruusamäe <glen@delfi.ee> 8c4d9d9
- v0.3.2

* Sun Oct 13 2013 Elan Ruusamäe <glen@delfi.ee> 459c4f0
- be more specific about apache 2.4

* Sun Oct 13 2013 Elan Ruusamäe <glen@delfi.ee> bd02ead
- install bash-completions to 2.0 dir for lazyload

* Sun Oct 13 2013 Elan Ruusamäe <glen@delfi.ee> a99f5a3
- rename files

* Fri Oct 01 2010 Elan Ruusamäe <glen@pld-linux.org> c1adc89
- fully canonicalize webapp link when displaying list; rel 5

* Fri Oct 30 2009 Elan Ruusamäe <glen@pld-linux.org> acb14b1
- add webserver(mime); rel 4

* Thu Oct 29 2009 Elan Ruusamäe <glen@pld-linux.org> 4b5bfdc
- preserve perms

* Wed Feb 18 2009 Elan Ruusamäe <glen@pld-linux.org> a474d9d
- webapps doesn't really require webserver (break dep loop); rel 3

* Tue Feb 03 2009 Elan Ruusamäe <glen@pld-linux.org> c6cb3d2
- restore webapp_applist(); rel 2

* Tue Feb 03 2009 Elan Ruusamäe <glen@pld-linux.org> 996e954
- restore webapp_applist()

* Mon Jan 05 2009 Elan Ruusamäe <glen@pld-linux.org> df8fe02
- 0.3.1: fix listing registered webapps in bash completion

* Mon Jan 05 2009 Elan Ruusamäe <glen@pld-linux.org> aa165ce
- fix listing registered webapps

* Thu Aug 21 2008 Elan Ruusamäe <glen@pld-linux.org> 69f1d36
- add webserver(expires)

* Mon Aug 18 2008 Elan Ruusamäe <glen@pld-linux.org> f999173
- rel 4: descripe webserver(setenv), webserver(php) in README

* Mon Aug 18 2008 Elan Ruusamäe <glen@pld-linux.org> d4788d2
- descripe webserver(setenv), webserver(php)

* Sun Feb 25 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e6a109d
- rel 3; webapps subpackage for bash completion

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 98b093b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b52e3d2
- converted to UTF-8

